gateway: fix 'eligible' conditions in gw_default_choose_gateway